Subject: [Webpush] Web Push prototype availability in Google Cloud Messaging and Chrome

From: Peter Beverloo <[email-masked]>
Date: Wed, 22 Jul 2015 13:53:21 +0100

Hi all -

We would like to announce the public availability of two prototypes based
on the drafts produced by this working group.

An endpoint for Google Cloud Messaging (GCM) is now available that
implements support for section 5 of draft-thomson-webpush-protocol-00[1]:
Requesting Push Message Delivery. For now, please only use this for
purposes of trying out the demos.

https://jmt17.google.com/gcm/demo-webpush-00/$SUBSCRIPTIONID$

Chrome is implementing both draft-thomson-webpush-encryption-01[2] and
draft-thomson-http-encryption-01[3] for incoming messages using the W3C
Push API.

It must be noted that the encryption prototype in Chrome uses Curve25519
rather than P-256 as the ECDH curve, and that the GCM endpoint requires an
Authorization header. We hope to formalize this header -and its mechanism-
in a proposal draft soon.

More information, including examples and a demo website, can be found in
the following document.

https://docs.google.com/document/d/1kDVLMddPJL6iHLJ6QuqNFc1D5X9rASx0PfDd1llxUE4/edit#

Costin, Nero and I will be in Prague starting this evening, so please feel
free to approach us and ask questions.

Thanks,
Peter

[1] https://tools.ietf.org/html/draft-thomson-webpush-protocol-00
[2] https://tools.ietf.org/html/draft-thomson-webpush-encryption-01
[3] https://tools.ietf.org/html/draft-thomson-http-encryption-01

---

From: Martin Thomson <[email-masked]>
Date: Wed, 22 Jul 2015 06:16:40 -0700

Thanks Peter.  We are at a similar stage with Firefox.  Though we've
implemented P-256.  I look forward to more discussion on curve choice
:)

On 22 July 2015 at 05:53, Peter Beverloo <[email-masked]> wrote:
> Hi all -
>
> We would like to announce the public availability of two prototypes based on
> the drafts produced by this working group.
>
> Requesting Push Message Delivery. For now, please only use this for purposes
> of trying out the demos.
>
> draft-thomson-http-encryption-01[3] for incoming messages using the W3C Push
> API.
>
> More information, including examples and a demo website, can be found in the
> following document.
>
> _______________________________________________
> Webpush mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/webpush
>